#ifndef EVENTPOINT_H
#define EVENTPOINT_H

#include "Object.h"
#include "Sprite.h"

class List;

class EventPoint : public Object
{
public:
	EventPoint(List* info, int x, int y);
	~EventPoint();
	void draw();
	void update() {;}
	void collide( Object* o );
	void findAndReplace(std::string find, std::string replace);

	virtual Object *copy();

	void load(List *info, bool fromConstructor = true);
private:
	bool _hasSprite;
	bool _collideEvent;
	bool _active;

	List *_collideList;

	Sprite *_sprite;
};

#endif